## GogPlotEngine

GogPlotEngine

## Synopsis

                        GogPlotFamily;
                        GogPlotType;
    GHashTable const *  gog_plot_families                   (void);
    GogPlotFamily *     gog_plot_family_by_name             (char const *name);
    GogPlotFamily *     gog_plot_family_register            (char const *name,
                                                             char const *sample_image_file,
                                                             int priority,
                                                             GogAxisSet axis_set);
    void                gog_plot_family_unregister          (GogPlotFamily *family);
    GogPlotType *       gog_plot_type_register              (GogPlotFamily *famlily,
                                                             int col,
                                                             int row,
                                                             char const *name,
                                                             char const *sample_image_file,
                                                             char const *description,
                                                             char const *engine);

## Description

## Details

### GogPlotFamily

    typedef struct {
    	char *name, *sample_image_file;
    	int priority;

    	GogAxisSet	 axis_set;

    	GHashTable *types;
    } GogPlotFamily;

### GogPlotType

    typedef struct {
    	GogPlotFamily 	*family;
    	char 		*engine;

    	char 		*name, *sample_image_file;
    	char 		*description; /* untranslated */
    	int 		 col, row;

    	GHashTable 	*properties;
    } GogPlotType;

### gog_plot_families ()

    GHashTable const *  gog_plot_families                   (void);

Returns : |

### gog_plot_family_by_name ()

    GogPlotFamily *     gog_plot_family_by_name             (char const *name);

`name` : |
Returns : |

### gog_plot_family_register ()

    GogPlotFamily *     gog_plot_family_register            (char const *name,
                                                             char const *sample_image_file,
                                                             int priority,
                                                             GogAxisSet axis_set);

`name` : |
`sample_image_file` : |
`priority` : |
`axis_set` : |
Returns : |

### gog_plot_family_unregister ()

    void                gog_plot_family_unregister          (GogPlotFamily *family);

`family` : |

### gog_plot_type_register ()

    GogPlotType *       gog_plot_type_register              (GogPlotFamily *famlily,
                                                             int col,
                                                             int row,
                                                             char const *name,
                                                             char const *sample_image_file,
                                                             char const *description,
                                                             char const *engine);

`famlily` : |
`col` : |
`row` : |
`name` : |
`sample_image_file` : |
`description` : |
`engine` : |
Returns : |